Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.editor.presentation
Class RuntimeActionBarContributor

    java.lang.Object
      EditingDomainActionBarContributor
          org.eclipse.gmt.modisco.infra.query.runtime.editor.presentation.RuntimeActionBarContributor

    public class RuntimeActionBarContributor

extends EditingDomainActionBarContributor

This is the action bar contributor for the Runtime model editor.

Constructor Summary
`RuntimeActionBarContributor()` This creates an instance of the contributor.

Method Summary
`void` | `contributeToMenu(IMenuManager menuManager)` This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.
`void` | `contributeToToolBar(IToolBarManager toolBarManager)` This adds Separators for editor additions to the tool bar.
`void` | `menuAboutToShow(IMenuManager menuManager)` This populates the pop-up menu before it appears.
`void` | `selectionChanged(SelectionChangedEvent event)` This implements `org.eclipse.jface.viewers.ISelectionChangedListener`, handling `org.eclipse.jface.viewers.SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.
`void` | `setActiveEditor(IEditorPart part)` When the active editor changes, this remembers the change and registers with it as a selection provider.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeActionBarContributor

    public RuntimeActionBarContributor()

  This creates an instance of the contributor.

Method Detail

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

  This adds Separators for editor additions to the tool bar.

### contributeToMenu

    public void contributeToMenu(IMenuManager menuManager)

  This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.

### setActiveEditor

    public void setActiveEditor(IEditorPart part)

  When the active editor changes, this remembers the change and registers with it as a selection provider.

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  This implements `org.eclipse.jface.viewers.ISelectionChangedListener`, handling `org.eclipse.jface.viewers.SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.

### menuAboutToShow

    public void menuAboutToShow(IMenuManager menuManager)

  This populates the pop-up menu before it appears.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD